window.apps = [
{% if inv_access.keycloak.enable and inv_access.enable %}
  {
    id: "keycloak",
    name: "Keycloak",
    icon: "/img/keycloak.png",
    description: {
      en: "A comprehensive solution for identity and access management, providing single sign-on and user federation.",
      de: "Eine umfassende Lösung für Identitäts- und Zugriffsmanagement, die Single Sign-On und Benutzerverwaltung bietet."
    },
    role: "",
    url: "https://idm.${DOMAIN}/",
    iframe: false
  },
{% endif %}
{% if inv_access.apisix.enable and inv_access.enable %}
  {
    id: "apisix",
    name: "APISIX",
    icon: "/img/apisix.png",
    description: {
      en: "A dynamic, real-time, high-performance API gateway that provides rich traffic management features.",
      de: "Ein dynamisches, leistungsstarkes API-Gateway in Echtzeit, das umfangreiche Funktionen für das Traffik-Management bietet."
    },
    role: "",
    url: "https://api-dashboard.${DOMAIN}/",
    iframe: false
  },
{% endif %}
{% if inv_da.superset.enable %}
  {
    id: "superset",
    name: "Superset",
    icon: "/img/superset.png",
    description: {
      en: "A modern data exploration and visualization platform designed to be visual, intuitive, and interactive.",
      de: "Eine moderne Plattform zur Datenexploration und -visualisierung, die visuell, intuitiv und interaktiv ist."
    },
    role: "",
    url: "https://superset.${DOMAIN}/",
    iframe: false
  },
{% endif %}
{% if inv_op_stack.pgadmin.enable %}
  {
    id: "pgadmin",
    name: "PGAdmin",
    icon: "/img/pgadmin.png",
    description: {
      en: "A web-based database management tool for PostgreSQL, allowing for easy database administration.",
      de: "Ein webbasiertes Verwaltungstool für PostgreSQL-Datenbanken, das eine einfache Verwaltung ermöglicht."
    },
    role: "",
    url: "https://pgadmin.${DOMAIN}/",
    iframe: false,
    goodStatuses: [200, 401]
  },
{% endif %}
{% if inv_gd.geoserver.enable and inv_gd.enable %}
  {
    id: "geoserver",
    name: "GeoServer",
    icon: "/img/geoserver.png",
    description: {
      en: "An open-source server for sharing geospatial data, enabling users to publish and edit data using open standards.",
      de: "Ein Open-Source-Server zum Teilen von Geodaten, der es Benutzern ermöglicht, Daten nach offenen Standards zu veröffentlichen und zu bearbeiten."
    },
    role: "",
    url: "https://geoportal.${DOMAIN}/geoserver/",
    iframe: false
  },
{% endif %}
{% if inv_da.grafana.enable %}
  {
    id: "grafana",
    name: "Grafana",
    icon: "/img/grafana.png",
    description: {
      en: "An open-source platform for monitoring and observability, providing powerful visualization capabilities.",
      de: "Eine Open-Source-Plattform für Monitoring und Beobachtbarkeit, die leistungsstarke Visualisierungsfunktionen bietet."
    },
    role: "",
    url: "https://grafana.${DOMAIN}/",
    iframe: false
  },
{% endif %}
{% if inv_gd.masterportal_1.enable and inv_gd.enable %}
  {
    id: "masterportal",
    name: "MasterPortal",
    icon: "/img/masterportal.png",
    description: {
      en: "A comprehensive geospatial map viewer for visualizing and interacting with spatial data.",
      de: "Ein umfassender geospatialer Kartenbetrachter zur Visualisierung und Interaktion mit Geodaten."
    },
    role: "",
    url: "https://geoportal.${DOMAIN}/portal/",
    iframe: false
  },
{% endif %}
{% if inv_access.service_portal.enable and inv_access.service_portal.apps.portainer %}
  {
    id: "portainer",
    name: "Portainer",
    icon: "/img/portainer.png",
    description: {
      en: "A management tool for Docker environments, providing a simple and easy-to-use interface for managing containers.",
      de: "Ein Verwaltungstool für Docker-Umgebungen, das eine einfache und benutzerfreundliche Oberfläche zur Containerverwaltung bietet."
    },
    role: "",
    url: "https://portainer.${DOMAIN}/",
    iframe: false
  }
{% endif %}
];
